#!/usr/bin/perl

#930252612.164230  10 sl. -- 1 pkts (1480 B) 256 drops

if($ARGV[0] eq "-sync") {
	open(SYNCFILE, $ARGV[1]) || die;
	$line1 = <SYNCFILE>;
	if($line1 =~ /\d+:(\d+):([\d.]+)/) {
		$min=$1;
		$sec=$2;
		print STDERR "$min:$sec\n";
	}
	while(<SYNCFILE>) {
		if(/\d+:(\d+):([\d.]+)/) {
			$finalmin=$1;
			$finalsec=$2;
		}
	}
	shift; shift;
}
	
$length = ($finalmin- $min)*60 + $finalsec-$sec;
$lastval = 0;

while(<>) {
	if(\/(\d+)\.(\d+)\s*\d+\s*sl\.\s*--\s*(\d+)\s*pkts \(\d+\s*B\)\s*(\d+)\s*drops/) {
		$dropcount=$4;
		$timest = $1 + $2/1000000;
		if(!defined($basetime)) {
			$frac = ($timest - ($timest % ($timest+1)));
			print STDERR "frac = $frac\n";
			$deduct = $timest % 3600 + ($frac);
			print STDERR "localtime(timest)" . localtime($timest) . "\n";
			$basetime = $timest - ($deduct - ($min*60) - $sec);
			print STDERR "$basetime = $timest - $deduct + " .($min*60)." + $sec\n";
			print STDERR "$basetime = $timest - " . ($deduct - $min*60 - $sec) . "\n";
			$basetime = $timest - $deduct + ($min*60) + $sec;
		}
		$timest = $timest - $basetime;
#	 $timest = $timest % 3600;
		print "$timest $lastval\n";
		print "$timest $3\n";
		$lastval = $3;
		if(defined( $lastdropcount )) {
			if($dropcount > $lastdropcount) {
				push(@droplist, $timest);
				$lastdropcount = $dropcount;
			}
		} else {
			$lastdropcount = $dropcount;
		}
	}
}

print "$length 0\n";

foreach $droptime ( @droplist ) {
	print "$droptime drop\n";
}

